
Application: gvSIG desktop - gvSIG bugs #896
ZOOM TO SELECTION tool fails after using editing TABLES / Fallo en la Herramienta ZOOM A LA 
SELECCIÓN tras modificar tablas
07/20/2012 09:38 AM - Abenchara Socorro

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-devel-2053
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2049 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: ZOOM TO SELECTION Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

ESP - Fallo en la Herramienta ZOOM A LA SELECCIÓN tras modificar tablas:

Pasos:
    1.- Abrir gvSIG
    2.- Abrir VISTA NUEVA
    3.- Abrir capa MunicipiosAndal.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/)
    4.- Comenzar Edición
    5.- Abrir Tabla de Atributos
    6.- Entro en Tabla/Modificar estructura de tabla
    7.- Inserto campo nuevo + aceptar
    8.- Modifico cualquier campo de cualquier registro insertando valores o cambiando su valor original
    9.- Selecciono cualquier registro excepto los editados
    10.- Ejecuto la herramienta ZOOM A LA SELECCIÓN
    11.- Obtenemos un error "Error no capturado por el usuario"

NO DA ERROR SI...
    1.- Abrir gvSIG
    2.- Abrir VISTA NUEVA
    3.- Abrir capa MunicipiosAndal.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/)
    4.- Comenzar Edición
    5.- Abrir Tabla de Atributos
    6.- Entro en Tabla/Modificar estructura de tabla
    7.- Inserto campo nuevo + aceptar
    8.- Modifico cualquier campo de cualquier registro insertando valores o cambiando su valor original
    9.- Puedo hacer ZOOM A LA SELECCIÓN, pero solamente con el/los registros editados
    10.- Si utilizo la herramienta Inviertir Selección y luego ejecuto ZOOM A LA SELECCIÓN, no dará error

Ocurre lo mismo con la herramienta MOVER ARRIBA LA SELECCIÓN (TICKET #882)

ENG - ZOOM TO SELECTION tool fails after using editing TABLES:

Steps
    1.- Open gvSIG
    2.- Open NEW VIEW
    3.- Open layer municipiosAndal.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/)
    4.- Start Edition
    5.- Open Attribute Table
    6.- Menu "Table" go to "Manage Fields" 
    7.- Click on "New Field" and accept
    8.- Modify any field of any record editing its original value or adding information in the new field/s
    9.- click on any record not edited yet
    10.- Click "ZOOM TO SELECTION" tool in menu "View/Navigation" 
    11.- Appears a window with a warning message "User error"

THERE IS NO ERROR IF...
    1.- Open gvSIG
    2.- Open NEW VIEW
    3.- Open layer municipiosAndal.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/)
    4.- Start Edition
    5.- Open Attribute Table
    6.- Menu "Table" go to "Manage Fields" 
    7.- Click on "New Field" and accept
    8.- Modify any field of any record editing its original value or adding information in the new field/s
    9.- I can make use of ZOOM TO SELECTION tool but only with the records I have modified
    10.- If I click on INVERT SELECTION and then ZOOM TO SELECTION, there will be no error

Similar problems detected with the MOVE TO TOP tool (TICKET #882)

History
#1 - 08/10/2012 11:25 AM - Manuel Madrid
- Target version set to 2.0.0-rc1

#2 - 08/28/2012 11:15 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#3 - 09/05/2012 08:47 AM - Juan Lucas Domínguez
- Status changed from New to In progress

#4 - 09/05/2012 10:39 AM - Juan Lucas Domínguez
- Status changed from In progress to Fixed

gvsig-desktop:r38864
Ignoring request to load a field which does not exist in DBF file (assumed new field in editing mode)

#5 - 09/06/2012 12:30 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2053

#6 - 09/24/2012 10:21 AM - Abenchara Socorro
- Status changed from Fixed to Closed

Cerrado en gvSIG build 2053.
Closed in gvSIG build 2053.
